Subject: Re: [PATCH]: r8169: Expose hardware stats via ethtool

From: Jon Mason <[email-masked]>
Date: Sun, 27 Feb 2005 13:28:41 -0600

On Saturday 26 February 2005 08:53 am, Richard Dawe wrote:
> Hi Francois and Jon!
> 
> Please find attached a patch that adds the hardware statistics ethtool 
> operations to the r8169 driver. It's against 2.6.11-rc5.

I tested it on my amd64 system and it works great.  

I saw the same error if stats were gathered with the interface was down.  As 
a sanity check, I preformed the same test on e1000 and it does not have this 
error.  Not sure the significance of that.

Thanks Richard!

Jon